Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## oracle.ifs.admin.upgrade.common
Class LibrarySessionUpgradeAction

    java.lang.Object
      oracle.ifs.utils.action.AbstractAction
          oracle.ifs.admin.actions.LibrarySessionAction
              oracle.ifs.admin.upgrade.common.LibrarySessionUpgradeAction

All Implemented Interfaces:
  Action, IfsParameters

Direct Known Subclasses:
  AddAccessLevel, AddAttributeAction, CreateNamedPropertyBundle, FreeClassObjectAction, ModifyAttributeAction, ObjectNameReset, RecreateClassObjectViews, RemoveAttributeAction, RenamePropertyAction

    public abstract class LibrarySessionUpgradeAction

extends LibrarySessionAction

A LibrarySessionUpgradeAction is an extension to LibrarySessionAction which provides common logging and implementations for basic control.

(Unpublished)

Field Summary

Fields inherited from class oracle.ifs.admin.actions.LibrarySessionAction
`RESTART_SERVICE`

Fields inherited from class oracle.ifs.utils.action.AbstractAction
`CONTINUE_ON_ERROR, m_defaultOptions, m_options`

Fields inherited from interface oracle.ifs.utils.common.IfsParameters
`APPEND_LOG, DATABASE_URL, DB_USER_NAME, DB_USER_PASSWORD, DOMAIN_TYPE, ENABLE_SSL_SUPPORT, FOR_SCHEMA_UPGRADE, IFS_DOMAIN_DISPLAY_NAME, IFS_DOMAIN_NAME, IFS_SCHEMA_NAME, IFS_SCHEMA_PASSWORD, IFS_SERVICE_NAME, IFS_USER_NAME, IFS_USER_PASSWORD, INCLUDE_PATH, INITIAL_CONTEXT_FACTORY, LDAP_URL_DAS_LOOKUP, LDAP_USER_NAME, LDAP_USER_PASSWORD, OUTPUT_FILE, PARAMETER_FILE, REGISTRY, SCHEMA_VERSION_KEY, SECURITY_PROTOCOL_NAME, SERVICE_CONFIGURATION_NAME`

Constructor Summary
`LibrarySessionUpgradeAction()`

Method Summary
`void` | `failed(java.lang.Throwable error)` Provide "do nothing" implementation for failed().
`protected java.lang.String` | `getTimestamp()` Gets a timestamp to use in the logs.
`protected void` | `log()` Add timestamp to the log.
`protected void` | `log(java.lang.String msg)` Add message to the log.
`protected void` | `printStackTrace(java.lang.Throwable e)` Add stack trace to the log.
`void` | `stop()` Provide "do nothing" implementation for stop().

Methods inherited from class oracle.ifs.admin.actions.LibrarySessionAction
`execute, perform, setDomain, setForSchemaUpgrade, setPassword, setRestartService, setSchemaPassword, setUser`

Methods inherited from class oracle.ifs.utils.action.AbstractAction
`getDescription, getName, getValue, isContinueOnError, putValue, setDefaultOptions, setDescription, setName, setOptions`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### LibrarySessionUpgradeAction

    public LibrarySessionUpgradeAction()

Method Detail

### stop

    public void stop()

  Description copied from class: `LibrarySessionUpgradeAction`
  Provide "do nothing" implementation for stop().

### failed

    public void failed(java.lang.Throwable error)

  Description copied from class: `LibrarySessionUpgradeAction`
  Provide "do nothing" implementation for failed().

  Parameters:
    `error` - the error that occured

### printStackTrace

    protected void printStackTrace(java.lang.Throwable e)

  Description copied from class: `LibrarySessionUpgradeAction`
  Add stack trace to the log.

  Parameters:
    `e` - the exception for which to print a stack trace

### log

    protected void log()

  Description copied from class: `LibrarySessionUpgradeAction`
  Add timestamp to the log.

### log

    protected void log(java.lang.String msg)

  Description copied from class: `LibrarySessionUpgradeAction`
  Add message to the log.

  Parameters:
    `msg` - the message to log

### getTimestamp

    protected java.lang.String getTimestamp()

  Description copied from class: `LibrarySessionUpgradeAction`
  Gets a timestamp to use in the logs.

  Returns:
    a timestamp for the current time

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD